This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 772627 - kernel-3.2.0-2.fc17 doesn't build on ARM
kernel-3.2.0-2.fc17 doesn't build on ARM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-01-09 08:27 EST by Peter Robinson
Modified: 2012-02-02 06:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 06:50:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-01-09 08:27:03 EST
Full build logs here but relevant bit below.

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=247005

+ make -s ARCH=arm V=1 -j2 modules
include/asm-generic/xor.h:696:34: warning: 'xor_block_8regs_p' defined but not used [-Wunused-variable]
include/asm-generic/xor.h:704:34: warning: 'xor_block_32regs_p' defined but not used [-Wunused-variable]
drivers/ata/sata_mv.c:80:12: warning: 'msi' defined but not used [-Wunused-variable]
drivers/ata/sata_mv.c:652:34: warning: 'mv5_sht' defined but not used [-Wunused-variable]
drivers/ata/sata_mv.c:1253:13: warning: 'mv_dump_pci_cfg' defined but not used [-Wunused-function]
drivers/block/drbd/drbd_main.c: In function 'drbd_buildtag':
drivers/block/drbd/drbd_main.c:4187:19: warning: the comparison will always evaluate as 'true' for the address of '__this_module' will never be NULL [-Waddress]
drivers/char/hw_random/mxc-rnga.c:136:2: warning: initialization from incompatible pointer type [enabled by default]
drivers/char/hw_random/mxc-rnga.c:136:2: warning: (near initialization for 'mxc_rnga.data_present') [enabled by default]
drivers/gpio/gpio-mcp23s08.c:370:12: warning: 'mcp23s08_probe_one' defined but not used [-Wunused-function]
drivers/input/joystick/analog.c:175:2: warning: #warning Precise timer not defined for this architecture. [-Wcpp]
drivers/input/touchscreen/eeti_ts.c: In function 'eeti_ts_irq_active':
drivers/input/touchscreen/eeti_ts.c:65:2: error: implicit declaration of function 'irq_to_gpio' [-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[3]: *** [drivers/input/touchscreen/eeti_ts.o] Error 1
make[2]: *** [drivers/input/touchscreen] Error 2
make[1]: *** [drivers/input] Error 2
make[1]: *** Waiting for unfinished jobs....
make: *** [drivers] Error 2
make: *** Waiting for unfinished jobs....
+ exit 1
Comment 1 Peter Robinson 2012-02-02 06:50:05 EST
closing. with some poking we have this building. 3.3 next :)

Note You need to log in before you can comment on or make changes to this bug.